import request from '@/utils/request'

// 查询短信日志列表
export function listSms(query) {
  return request({
    url: '/sms/list',
    method: 'get',
    params: query
  })
}

// 查询短信日志详细
export function getSms(id) {
  return request({
    url: '/system/sms/' + id,
    method: 'get'
  })
}

// 新增短信日志
export function addSms(data) {
  return request({
    url: '/system/sms',
    method: 'post',
    data: data
  })
}

// 修改短信日志
export function updateSms(data) {
  return request({
    url: '/system/sms/put',
    method: 'post',
    data: data
  })
}

// 删除短信日志
export function delSms(id) {
  return request({
    url: '/sms/delete/' + id,
    method: 'get'
  })
}
